Skip to content

UserService⁠

Operations⁠

searchUserTrackingSelectFields⁠

POST

Searches user tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/user/searchUserTrackingSelectFields
POST /nexum/627/2022.01/user/searchUserTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "SearchFilter": {
    "Query": "string"
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "Type": true,
      "CreationDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getUserTrackingPagedListSelectFields⁠

POST

Retrieves a paged list of selected fields for user tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
TokenstringoptionalThe tokenized value for the activity.
POST/nexum/{sym}/2022.01/user/getUserTrackingPagedListSelectFields
POST /nexum/627/2022.01/user/getUserTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "Type": true,
      "UserId": true,
      "CreationDate": true,
      "CreationTime": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchUserTrackingPagedSelectFields⁠

POST

Searches user tracking with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
QuerystringoptionalThe filtering query string.
Path Parameters
symstringrequired
Sym number
TokenstringoptionalThe tokenized value for the activity.
POST/nexum/{sym}/2022.01/user/searchUserTrackingPagedSelectFields
POST /nexum/627/2022.01/user/searchUserTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateUserByID⁠

POST

Updates user information based on ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/user/updateUserByID
POST /nexum/627/2022.01/user/updateUserByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserUpdatableFields": {
    "Location": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateUserTrackingByID⁠

POST

Updates user tracking information based on ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserTrackingLocatorintegerrequiredThe locator for user tracking.
UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/user/updateUserTrackingByID
POST /nexum/627/2022.01/user/updateUserTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingLocator": 0,
  "UserTrackingUpdatableFields": {
    "UserChar1": "string",
    "UserCode1": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createUserTracking⁠

POST

Creates a new record for user tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
UserTrackingLocatorintegeroptionalThe locator for user tracking.
POST/nexum/{sym}/2022.01/user/createUserTracking
POST /nexum/627/2022.01/user/createUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingCreatableFields": {
    "TrackingCode": 0,
    "UserChar1": "string",
    "UserCode1": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}